# Makefile.in generated automatically by automake 1.3b from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# Makefile for generating binary program LK from sources.
# $Id: Makefile.am,v 1.35 1998/10/16 20:44:23 neto Exp neto $


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
BASH = @BASH@
CC = @CC@
CFLAGS = @CFLAGS@
CTANGLE_CMD = @CTANGLE_CMD@
CWEAVE_CMD = @CWEAVE_CMD@
DVIPS = @DVIPS@
DVIPS_CMD = @DVIPS_CMD@
LATEX = @LATEX@
LATEX_CMD = @LATEX_CMD@
MAKEINFO = @MAKEINFO@
MP = @MP@
MP_CMD = @MP_CMD@
PACKAGE = @PACKAGE@
PERL = @PERL@
TEX_CMD = @TEX_CMD@
VERSION = @VERSION@

AM_CFLAGS=

EXTRA_DIST = \
	decluster.dvi \
	array.w construct.w copyrt.w decluster.w dict.w distcalc.w dsort.w \
	error.w fixincludes.w gb_flip.w gb_flip.ch \
	fullgrid.w ifs.w jbmr.w kdtree.w \
	length.w lk.w mainlk.w memory.w nn.w pool.w read.w resource.w sier.w tspgen.w \
	twolevel.w types.w unifd.w unif.w webdefs.w \
	tabuhash.w \
	dirty.w \
	cwebmac.tex compile.c.in \
	prng.w prngconfig.h \
	jitter.w \
	shake.w \
	prolog.ps \
	mkcwebch.pl \
	tspps.w \
	match.w \
	ascend.w \
	pq.w \
	clip.w \
	milestone.w \
	lgplnotice.tex \
	myboiler.w \
	scheme0.eps \
	scheme1.eps \
	scheme2.eps \
	scheme3.eps \
	scheme4.eps \
	scheme5.eps \
	scheme6.eps \
	scheme7.eps \
	scheme8.eps \
	scheme9.eps \
	scheme10.eps \
	scheme11.eps \
	scheme12.eps \
	boilerplate.w

# Docs should also include ifs.dvi, but that also needs
# fern.eps nicecloud.eps tropicalfish.eps tropicalfisheye.eps

DOCS = array.dvi construct.dvi decluster.dvi dict.dvi distcalc.dvi dsort.dvi \
	error.dvi fixincludes.dvi gb_flip.dvi \
	fullgrid.dvi jbmr.dvi kdtree.dvi \
	length.dvi lk.dvi memory.dvi nn.dvi pool.dvi read.dvi resource.dvi  \
	sier.dvi tspgen.dvi \
	twolevel.dvi unifd.dvi unif.dvi \
	dirty.dvi \
	prng.dvi \
	jitter.dvi \
	shake.dvi \
	tspps.dvi \
	match.dvi \
	ascend.dvi \
	pq.dvi \
	clip.dvi \
	tsp2rwm.dvi \
	upper.dvi

bin_PROGRAMS = lk tspgen jitter tspps shake ifs fullgrid unifd unif sier distcalc clip dsorttest dicttest declustertest test_flip prngtest pqtest dirtytest tsp2rwm kdtreetest

TESTS = test_flip dicttest declustertest prngtest dsorttest pqtest dirtytest kdtreetest

lk_SOURCES = \
	array.c \
	array.h \
	construct.c \
	construct.h \
	declevel.h \
	decluster.c \
	decluster.h \
	dict.c \
	dict.h \
	dirty.c \
	dirty.h \
	dsort.c \
	dsort.h \
	error.c \
	error.h \
	fixincludes.h \
	gb_flip.c \
	gb_flip.h \
	jbmr.c \
	jbmr.h \
	kdtree.c \
	kdtree.h \
	length.h \
	match.c \
	match.h \
	milestone.c \
	milestone.h \
	mainlk.c \
	lk.c \
	lk.h \
	lkconfig.h \
	memory.c \
	memory.h \
	nn.c \
	nn.h \
	pool.c \
	pool.h \
	prng.c \
	prng.h \
	pq.h \
	pq.c \
	read.c \
	read.h \
	resource.c \
	resource.h \
	tabuhash.h \
	tabuhash.c \
	twolevel.c \
	twolevel.h \
	ascend.c \
	ascend.h \
	compile.c 

tspgen_SOURCES = \
	dsort.c \
	dsort.h \
	error.c \
	error.h \
	memory.c \
	memory.h \
	gb_flip.c \
	gb_flip.h \
	tspgen.c

# read needs gb_flip.
tspps_SOURCES = \
	length.h \
	error.c \
	error.h \
	memory.c \
	memory.h \
	gb_flip.c \
	gb_flip.h \
	read.c \
	read.h \
	tspps.c

jitter_SOURCES = \
	decluster.h \
	decluster.c \
	dsort.c \
	dsort.h \
	error.c \
	error.h \
	kdtree.c \
	kdtree.h \
	memory.c \
	memory.h \
	gb_flip.c \
	gb_flip.h \
	pool.c \
	pool.h \
	prng.c \
	prng.h \
	prngconfig.h \
	pq.c \
	pq.h \
	read.h \
	read.c \
	jitter.c

shake_SOURCES = \
	decluster.h \
	decluster.c \
	dsort.c \
	dsort.h \
	error.c \
	error.h \
	kdtree.c \
	kdtree.h \
	memory.c \
	memory.h \
	gb_flip.c \
	gb_flip.h \
	pool.c \
	pool.h \
	prng.c \
	prng.h \
	prngconfig.h \
	pq.c \
	pq.h \
	read.h \
	read.c \
	shake.c

ifs_SOURCES = gb_flip.c gb_flip.h ifs.c
unifd_SOURCES = gb_flip.c gb_flip.h unifd.c
unif_SOURCES = gb_flip.c gb_flip.h unif.c
sier_SOURCES = gb_flip.c gb_flip.h sier.c
fullgrid_SOURCES = fullgrid.c
distcalc_SOURCES = error.h error.c memory.h memory.c read.c read.h \
	gb_flip.h gb_flip.c \
	length.h distcalc.c
tsp2rwm_SOURCES = error.h error.c memory.h memory.c read.c read.h \
	gb_flip.h gb_flip.c \
	length.h tsp2rwm.c

clip_SOURCES = error.h error.c memory.h memory.c read.c read.h \
	gb_flip.h gb_flip.c \
	length.h clip.c

BUILT_SOURCES = \
	array.c \
	array.h \
	compile.c \
	construct.c \
	construct.h \
	decluster.c \
	decluster.h \
    declustertest.c \
	dict.c \
	dict.h \
	dicttest.c \
	dirty.c \
	dirty.h \
	dirtytest.c \
	distcalc.c \
	dsort.c \
	dsort.h \
	dsorttest.c \
	error.c \
	error.h \
	fixincludes.h \
	gb_flip.c \
	gb_flip.h \
	fullgrid.c \
	ifs.c \
	jbmr.c \
	jbmr.h \
	kdtree.c \
	kdtree.h \
	kdtreetest.c \
	length.h \
	lk.c \
	lk.h \
	memory.c \
	memory.h \
	nn.c \
	nn.h \
	pool.c \
	pool.h \
	prng.c \
	prng.h \
	prngtest.c \
	read.c \
	read.h \
	resource.c \
	resource.h \
	sier.c \
	test_flip.c \
	tspgen.c \
	twolevel.c \
	twolevel.h \
	unifd.c \
	unif.c

# Programs required to process the .w sources.
# ctangle makes .w into .c and .h  (not necessarily both or either)
# cweave makes .w into .tex (.idx and .scn)
# tex makes .tex (and .idx and .scn) into .dvi
CTANGLE = @CTANGLE@
CWEAVE = @CWEAVE@
TEX = @TEX@

# Get default flags from confgure
CTANGLEFLAGS_DEFAULT = @CTANGLEFLAGS_DEFAULT@
CWEAVEFLAGS_DEFAULT = @CWEAVEFLAGS_DEFAULT@

# FIXME: separate tests 
test_flip_SOURCES = test_flip.c gb_flip.c gb_flip.h
dsorttest_SOURCES = dsort.c dsorttest.c
dicttest_SOURCES = dicttest.c dict.c dict.h \
	error.c memory.c pool.c gb_flip.c \
	error.h memory.h pool.h gb_flip.h 
dirtytest_SOURCES = dirtytest.c dirty.c dirty.h dict.c dict.h \
	error.c memory.c pool.c gb_flip.c prng.c \
	error.h memory.h pool.h gb_flip.h prng.h
pqtest_SOURCES = pqtest.c pq.c pq.h \
	error.c error.h
declustertest_SOURCES = declustertest.c decluster.c decluster.h \
	pq.c pq.h resource.c resource.h \
	error.c memory.c pool.c gb_flip.c kdtree.c read.c dsort.c \
	error.h memory.h pool.h gb_flip.h kdtree.h read.h dsort.h 

kdtreetest_SOURCES = kdtreetest.c \
	pq.c pq.h \
	error.c memory.c pool.c gb_flip.c kdtree.c read.c dsort.c \
	error.h memory.h pool.h gb_flip.h kdtree.h read.h dsort.h 

# If your compiler does not have inlining, then add prng.c to this list.
prngtest_SOURCES = error.c error.h memory.c memory.h gb_flip.c gb_flip.h \
	prng.c prng.h prngtest.c fixincludes.h

#########################################################################
# Implicit rules.
# .ch  -- CWEB change files; implicit .ch rules should precede implicit .w rules
# .w   -- CWEB files
# .tex -- TeX files
# .scn -- generated by CWEAVE and used by TeX to typeset programs
# .idx -- index files generated by CWEAVE and used by TeX to typeset programs
# .dvi -- device independent typeset files generated by TeX

SUFFIXES = .ch .w .c .h .o .tex .scn .idx .dvi
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES =  compile.c
PROGRAMS =  $(bin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
lk_OBJECTS =  array.o construct.o decluster.o dict.o dirty.o dsort.o \
error.o gb_flip.o jbmr.o kdtree.o match.o milestone.o mainlk.o lk.o \
memory.o nn.o pool.o prng.o pq.o read.o resource.o tabuhash.o \
twolevel.o ascend.o compile.o
lk_LDADD = $(LDADD)
lk_DEPENDENCIES = 
lk_LDFLAGS = 
tspgen_OBJECTS =  dsort.o error.o memory.o gb_flip.o tspgen.o
tspgen_LDADD = $(LDADD)
tspgen_DEPENDENCIES = 
tspgen_LDFLAGS = 
jitter_OBJECTS =  decluster.o dsort.o error.o kdtree.o memory.o \
gb_flip.o pool.o prng.o pq.o read.o jitter.o
jitter_LDADD = $(LDADD)
jitter_DEPENDENCIES = 
jitter_LDFLAGS = 
tspps_OBJECTS =  error.o memory.o gb_flip.o read.o tspps.o
tspps_LDADD = $(LDADD)
tspps_DEPENDENCIES = 
tspps_LDFLAGS = 
shake_OBJECTS =  decluster.o dsort.o error.o kdtree.o memory.o gb_flip.o \
pool.o prng.o pq.o read.o shake.o
shake_LDADD = $(LDADD)
shake_DEPENDENCIES = 
shake_LDFLAGS = 
ifs_OBJECTS =  gb_flip.o ifs.o
ifs_LDADD = $(LDADD)
ifs_DEPENDENCIES = 
ifs_LDFLAGS = 
fullgrid_OBJECTS =  fullgrid.o
fullgrid_LDADD = $(LDADD)
fullgrid_DEPENDENCIES = 
fullgrid_LDFLAGS = 
unifd_OBJECTS =  gb_flip.o unifd.o
unifd_LDADD = $(LDADD)
unifd_DEPENDENCIES = 
unifd_LDFLAGS = 
unif_OBJECTS =  gb_flip.o unif.o
unif_LDADD = $(LDADD)
unif_DEPENDENCIES = 
unif_LDFLAGS = 
sier_OBJECTS =  gb_flip.o sier.o
sier_LDADD = $(LDADD)
sier_DEPENDENCIES = 
sier_LDFLAGS = 
distcalc_OBJECTS =  error.o memory.o read.o gb_flip.o distcalc.o
distcalc_LDADD = $(LDADD)
distcalc_DEPENDENCIES = 
distcalc_LDFLAGS = 
clip_OBJECTS =  error.o memory.o read.o gb_flip.o clip.o
clip_LDADD = $(LDADD)
clip_DEPENDENCIES = 
clip_LDFLAGS = 
dsorttest_OBJECTS =  dsort.o dsorttest.o
dsorttest_LDADD = $(LDADD)
dsorttest_DEPENDENCIES = 
dsorttest_LDFLAGS = 
dicttest_OBJECTS =  dicttest.o dict.o error.o memory.o pool.o gb_flip.o
dicttest_LDADD = $(LDADD)
dicttest_DEPENDENCIES = 
dicttest_LDFLAGS = 
declustertest_OBJECTS =  declustertest.o decluster.o pq.o resource.o \
error.o memory.o pool.o gb_flip.o kdtree.o read.o dsort.o
declustertest_LDADD = $(LDADD)
declustertest_DEPENDENCIES = 
declustertest_LDFLAGS = 
test_flip_OBJECTS =  test_flip.o gb_flip.o
test_flip_LDADD = $(LDADD)
test_flip_DEPENDENCIES = 
test_flip_LDFLAGS = 
prngtest_OBJECTS =  error.o memory.o gb_flip.o prng.o prngtest.o
prngtest_LDADD = $(LDADD)
prngtest_DEPENDENCIES = 
prngtest_LDFLAGS = 
pqtest_OBJECTS =  pqtest.o pq.o error.o
pqtest_LDADD = $(LDADD)
pqtest_DEPENDENCIES = 
pqtest_LDFLAGS = 
dirtytest_OBJECTS =  dirtytest.o dirty.o dict.o error.o memory.o pool.o \
gb_flip.o prng.o
dirtytest_LDADD = $(LDADD)
dirtytest_DEPENDENCIES = 
dirtytest_LDFLAGS = 
tsp2rwm_OBJECTS =  error.o memory.o read.o gb_flip.o tsp2rwm.o
tsp2rwm_LDADD = $(LDADD)
tsp2rwm_DEPENDENCIES = 
tsp2rwm_LDFLAGS = 
kdtreetest_OBJECTS =  kdtreetest.o pq.o error.o memory.o pool.o \
gb_flip.o kdtree.o read.o dsort.o
kdtreetest_LDADD = $(LDADD)
kdtreetest_DEPENDENCIES = 
kdtreetest_LDFLAGS = 
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LINK = $(CC) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in compile.c.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
SOURCES = $(lk_SOURCES) $(tspgen_SOURCES) $(jitter_SOURCES) $(tspps_SOURCES) $(shake_SOURCES) $(ifs_SOURCES) $(fullgrid_SOURCES) $(unifd_SOURCES) $(unif_SOURCES) $(sier_SOURCES) $(distcalc_SOURCES) $(clip_SOURCES) $(dsorttest_SOURCES) $(dicttest_SOURCES) $(declustertest_SOURCES) $(test_flip_SOURCES) $(prngtest_SOURCES) $(pqtest_SOURCES) $(dirtytest_SOURCES) $(tsp2rwm_SOURCES) $(kdtreetest_SOURCES)
OBJECTS = $(lk_OBJECTS) $(tspgen_OBJECTS) $(jitter_OBJECTS) $(tspps_OBJECTS) $(shake_OBJECTS) $(ifs_OBJECTS) $(fullgrid_OBJECTS) $(unifd_OBJECTS) $(unif_OBJECTS) $(sier_OBJECTS) $(distcalc_OBJECTS) $(clip_OBJECTS) $(dsorttest_OBJECTS) $(dicttest_OBJECTS) $(declustertest_OBJECTS) $(test_flip_OBJECTS) $(prngtest_OBJECTS) $(pqtest_OBJECTS) $(dirtytest_OBJECTS) $(tsp2rwm_OBJECTS) $(kdtreetest_OBJECTS)

all: Makefile $(PROGRAMS)

.SUFFIXES:
.SUFFIXES: .S .c .ch .dvi .h .idx .o .s .scn .tex .w
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps src/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

compile.c: $(top_builddir)/config.status compile.c.in
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

lk: $(lk_OBJECTS) $(lk_DEPENDENCIES)
	@rm -f lk
	$(LINK) $(lk_LDFLAGS) $(lk_OBJECTS) $(lk_LDADD) $(LIBS)

tspgen: $(tspgen_OBJECTS) $(tspgen_DEPENDENCIES)
	@rm -f tspgen
	$(LINK) $(tspgen_LDFLAGS) $(tspgen_OBJECTS) $(tspgen_LDADD) $(LIBS)

jitter: $(jitter_OBJECTS) $(jitter_DEPENDENCIES)
	@rm -f jitter
	$(LINK) $(jitter_LDFLAGS) $(jitter_OBJECTS) $(jitter_LDADD) $(LIBS)

tspps: $(tspps_OBJECTS) $(tspps_DEPENDENCIES)
	@rm -f tspps
	$(LINK) $(tspps_LDFLAGS) $(tspps_OBJECTS) $(tspps_LDADD) $(LIBS)

shake: $(shake_OBJECTS) $(shake_DEPENDENCIES)
	@rm -f shake
	$(LINK) $(shake_LDFLAGS) $(shake_OBJECTS) $(shake_LDADD) $(LIBS)

ifs: $(ifs_OBJECTS) $(ifs_DEPENDENCIES)
	@rm -f ifs
	$(LINK) $(ifs_LDFLAGS) $(ifs_OBJECTS) $(ifs_LDADD) $(LIBS)

fullgrid: $(fullgrid_OBJECTS) $(fullgrid_DEPENDENCIES)
	@rm -f fullgrid
	$(LINK) $(fullgrid_LDFLAGS) $(fullgrid_OBJECTS) $(fullgrid_LDADD) $(LIBS)

unifd: $(unifd_OBJECTS) $(unifd_DEPENDENCIES)
	@rm -f unifd
	$(LINK) $(unifd_LDFLAGS) $(unifd_OBJECTS) $(unifd_LDADD) $(LIBS)

unif: $(unif_OBJECTS) $(unif_DEPENDENCIES)
	@rm -f unif
	$(LINK) $(unif_LDFLAGS) $(unif_OBJECTS) $(unif_LDADD) $(LIBS)

sier: $(sier_OBJECTS) $(sier_DEPENDENCIES)
	@rm -f sier
	$(LINK) $(sier_LDFLAGS) $(sier_OBJECTS) $(sier_LDADD) $(LIBS)

distcalc: $(distcalc_OBJECTS) $(distcalc_DEPENDENCIES)
	@rm -f distcalc
	$(LINK) $(distcalc_LDFLAGS) $(distcalc_OBJECTS) $(distcalc_LDADD) $(LIBS)

clip: $(clip_OBJECTS) $(clip_DEPENDENCIES)
	@rm -f clip
	$(LINK) $(clip_LDFLAGS) $(clip_OBJECTS) $(clip_LDADD) $(LIBS)

dsorttest: $(dsorttest_OBJECTS) $(dsorttest_DEPENDENCIES)
	@rm -f dsorttest
	$(LINK) $(dsorttest_LDFLAGS) $(dsorttest_OBJECTS) $(dsorttest_LDADD) $(LIBS)

dicttest: $(dicttest_OBJECTS) $(dicttest_DEPENDENCIES)
	@rm -f dicttest
	$(LINK) $(dicttest_LDFLAGS) $(dicttest_OBJECTS) $(dicttest_LDADD) $(LIBS)

declustertest: $(declustertest_OBJECTS) $(declustertest_DEPENDENCIES)
	@rm -f declustertest
	$(LINK) $(declustertest_LDFLAGS) $(declustertest_OBJECTS) $(declustertest_LDADD) $(LIBS)

test_flip: $(test_flip_OBJECTS) $(test_flip_DEPENDENCIES)
	@rm -f test_flip
	$(LINK) $(test_flip_LDFLAGS) $(test_flip_OBJECTS) $(test_flip_LDADD) $(LIBS)

prngtest: $(prngtest_OBJECTS) $(prngtest_DEPENDENCIES)
	@rm -f prngtest
	$(LINK) $(prngtest_LDFLAGS) $(prngtest_OBJECTS) $(prngtest_LDADD) $(LIBS)

pqtest: $(pqtest_OBJECTS) $(pqtest_DEPENDENCIES)
	@rm -f pqtest
	$(LINK) $(pqtest_LDFLAGS) $(pqtest_OBJECTS) $(pqtest_LDADD) $(LIBS)

dirtytest: $(dirtytest_OBJECTS) $(dirtytest_DEPENDENCIES)
	@rm -f dirtytest
	$(LINK) $(dirtytest_LDFLAGS) $(dirtytest_OBJECTS) $(dirtytest_LDADD) $(LIBS)

tsp2rwm: $(tsp2rwm_OBJECTS) $(tsp2rwm_DEPENDENCIES)
	@rm -f tsp2rwm
	$(LINK) $(tsp2rwm_LDFLAGS) $(tsp2rwm_OBJECTS) $(tsp2rwm_LDADD) $(LIBS)

kdtreetest: $(kdtreetest_OBJECTS) $(kdtreetest_DEPENDENCIES)
	@rm -f kdtreetest
	$(LINK) $(kdtreetest_LDFLAGS) $(kdtreetest_OBJECTS) $(kdtreetest_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook
array.o: array.c ../config.h lkconfig.h array.h memory.h error.h
ascend.o: ascend.c ../config.h lkconfig.h error.h length.h read.h lk.h \
	memory.h decluster.h dict.h pool.h pq.h nn.h ascend.h
clip.o: clip.c ../config.h lkconfig.h length.h read.h
compile.o: compile.c
construct.o: construct.c ../config.h lkconfig.h fixincludes.h \
	construct.h length.h error.h prng.h gb_flip.h prngconfig.h \
	read.h memory.h pq.h pool.h lk.h kdtree.h dsort.h
decluster.o: decluster.c ../config.h lkconfig.h error.h memory.h \
	length.h read.h decluster.h pq.h kdtree.h lk.h
declustertest.o: declustertest.c ../config.h lkconfig.h error.h length.h \
	memory.h resource.h dsort.h read.h kdtree.h decluster.h
dict.o: dict.c ../config.h lkconfig.h fixincludes.h dict.h pool.h \
	error.h memory.h
dicttest.o: dicttest.c error.h memory.h pool.h dict.h gb_flip.h
dirty.o: dirty.c ../config.h lkconfig.h error.h memory.h dirty.h prng.h \
	gb_flip.h fixincludes.h prngconfig.h
dirtytest.o: dirtytest.c ../config.h lkconfig.h dirty.h prng.h error.h \
	gb_flip.h fixincludes.h prngconfig.h
distcalc.o: distcalc.c ../config.h lkconfig.h length.h read.h
dsort.o: dsort.c ../config.h lkconfig.h dsort.h
dsorttest.o: dsorttest.c dsort.h
error.o: error.c ../config.h lkconfig.h fixincludes.h error.h
fullgrid.o: fullgrid.c fixincludes.h
gb_flip.o: gb_flip.c gb_flip.h
ifs.o: ifs.c ../config.h gb_flip.h fixincludes.h
jbmr.o: jbmr.c ../config.h lkconfig.h fixincludes.h error.h memory.h \
	length.h read.h nn.h lk.h prng.h gb_flip.h prngconfig.h jbmr.h \
	dirty.h decluster.h declevel.h pool.h dict.h tabuhash.h \
	milestone.h resource.h
jitter.o: jitter.c ../config.h lkconfig.h prng.h error.h gb_flip.h \
	fixincludes.h prngconfig.h length.h read.h dsort.h pool.h \
	kdtree.h decluster.h memory.h
kdtree.o: kdtree.c ../config.h lkconfig.h fixincludes.h length.h read.h \
	kdtree.h pool.h error.h memory.h pq.h
kdtreetest.o: kdtreetest.c length.h memory.h error.h read.h kdtree.h
lk.o: lk.c ../config.h lkconfig.h fixincludes.h length.h read.h error.h \
	memory.h prng.h gb_flip.h prngconfig.h lk.h dsort.h pool.h \
	dict.h kdtree.h ascend.h resource.h declevel.h decluster.h nn.h \
	array.h twolevel.h construct.h jbmr.h match.h
mainlk.o: mainlk.c ../config.h lkconfig.h length.h read.h lk.h
match.o: match.c ../config.h declevel.h lkconfig.h error.h memory.h \
	length.h read.h match.h prng.h gb_flip.h fixincludes.h \
	prngconfig.h lk.h construct.h nn.h dirty.h decluster.h \
	milestone.h resource.h
memory.o: memory.c ../config.h lkconfig.h fixincludes.h error.h memory.h
milestone.o: milestone.c ../config.h lkconfig.h length.h resource.h \
	milestone.h
nn.o: nn.c ../config.h lkconfig.h length.h read.h lk.h kdtree.h nn.h \
	error.h memory.h dsort.h
pool.o: pool.c ../config.h lkconfig.h pool.h error.h memory.h
pq.o: pq.c pq.h error.h
pqtest.o: pqtest.c error.h pq.h
prng.o: prng.c ../config.h memory.h prng.h error.h gb_flip.h \
	fixincludes.h prngconfig.h
prngtest.o: prngtest.c ../config.h prng.h error.h gb_flip.h \
	fixincludes.h prngconfig.h
read.o: read.c ../config.h lkconfig.h fixincludes.h memory.h error.h \
	gb_flip.h length.h read.h
resource.o: resource.c ../config.h lkconfig.h fixincludes.h error.h \
	memory.h resource.h
shake.o: shake.c ../config.h lkconfig.h prng.h error.h gb_flip.h \
	fixincludes.h prngconfig.h length.h read.h dsort.h pool.h \
	kdtree.h decluster.h memory.h
sier.o: sier.c ../config.h fixincludes.h gb_flip.h
tabuhash.o: tabuhash.c ../config.h lkconfig.h error.h memory.h \
	tabuhash.h dirty.h prng.h gb_flip.h fixincludes.h prngconfig.h \
	pool.h
test_flip.o: test_flip.c gb_flip.h
tsp2rwm.o: tsp2rwm.c ../config.h lkconfig.h length.h read.h
tspgen.o: tspgen.c ../config.h lkconfig.h fixincludes.h error.h memory.h \
	length.h dsort.h gb_flip.h
tspps.o: tspps.c ../config.h lkconfig.h error.h length.h read.h
twolevel.o: twolevel.c ../config.h lkconfig.h fixincludes.h twolevel.h \
	error.h memory.h
unif.o: unif.c ../config.h fixincludes.h gb_flip.h
unifd.o: unifd.c ../config.h fixincludes.h gb_flip.h

check-TESTS: $(TESTS)
	@failed=0; all=0; \
	srcdir=$(srcdir); export srcdir; \
	for tst in $(TESTS); do \
	  if test -f $$tst; then dir=.; \
	  else dir="$(srcdir)"; fi; \
	  if $(TESTS_ENVIRONMENT) $$dir/$$tst; then \
	    all=`expr $$all + 1`; \
	    echo "PASS: $$tst"; \
	  elif test $$? -ne 77; then \
	    all=`expr $$all + 1`; \
	    failed=`expr $$failed + 1`; \
	    echo "FAIL: $$tst"; \
	  fi; \
	done; \
	if test "$$failed" -eq 0; then \
	  banner="All $$all tests passed"; \
	else \
	  banner="$$failed of $$all tests failed"; \
	fi; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"; \
	test "$$failed" -eq 0
info:
dvi:
check: all
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
installcheck:
install-exec: install-binPROGRAMS
	@$(NORMAL_INSTALL)

install-data: 
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-binPROGRAMS

install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

clean:  clean-binPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean

distclean:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean
	-rm -f config.status

maintainer-clean:  maintainer-clean-binPROGRAMS maintainer-clean-compile \
		maintainer-clean-tags maintainer-clean-generic \
		distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir check-TESTS info dvi \
installcheck install-exec install-data install uninstall all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


dist-hook : 
	rm -f $(distdir)/compile.c
	cp -r RCS $(distdir)

# All the DVI documentation is generated from the program sources.
docs : $(DOCS)

# When to run ctangle
.ch.c :
	@CTANGLE_CMD@

.w.c :
	@CTANGLE_CMD@

# Maybe need to fix this kludge for headers?
.ch.h :
	@CTANGLE_CMD@

.w.h :
	@CTANGLE_CMD@

# When to run cweave
.w.tex :
	@CWEAVE_CMD@

.w.idx :
	@CWEAVE_CMD@

.w.scn :
	@CWEAVE_CMD@

# When to run TeX
# We put $(srcdir) on TEXINPUTS path because it contains cwebmac.tex, which
# is required to typeset CWEB programs.
.tex.dvi :
	(TEXINPUTS=$(TEXINPUTS):$(srcdir);@TEX_CMD@)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
